[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Building Linux 2.6.16-rc1-git4

Hello !

I had the same ploblem, sometimes your will able to compile your kernel and modules with warnings but you will be unable to load modules because the vermagic is wrong since the file include/linux/version.h contains a wrong field UTS_RELEASE, something like that :
2.6.10-rc3 .file null .section .note.GNU-stack,,@progbits .ident GCC:(GNU)3.4.3 ...
The origin of my problem and maybe yours was that mu /dev/null file was 'altered' : it was a real file. Do the following command to be sure : "ls -ln /dev/null", you must have crw-rw-rw-. If the 'c' is not here you have a real file (do 'echo hello > /dev/null and 'cat /dev/null' and you'll see the msg instead nothing)

You must delete /dev/null and then re-create it :
mknod /dev/null c 1 3 -m 666
And test it, it'll be ok
Try once more your compilation and check the version.h file.

Greetings !

Reply to: